/*
 * Example for DC Motor 5 click
 *
 * Date         Apr 2017
 * Author       Djordje Rosic
 *
 * Test configuration MSP :
 *  MCU           :        MSP432
 *  Dev. Board    :        Clicker 2 for MSP
 *  SW            :        mikroC PRO for ARM v5.0.0
 *
 * Description :
 *
 * This example demonstrates the use of DC Motor click 5. It will cycle through
 * all 4 possible states.
 *
 ******************************************************************************/


sbit IN1_PIN at DIO_P2OUT.B7;
sbit IN2_PIN at DIO_P2OUT.B4;


/*
 * System Initialization
 */
void systemInit()
{
    GPIO_Digital_Output(&DIO_P2IN, _GPIO_PINMASK_7);
    GPIO_Digital_Output(&DIO_P2IN, _GPIO_PINMASK_4);
}

void main()
{
    systemInit();

    while (1)
    {
    // Coast

        IN1_PIN = 0;
        IN2_PIN = 0;
        Delay_ms (5000);

    // Reverse

        IN1_PIN = 0;
        IN2_PIN = 1;
        Delay_ms (5000);
    // Brake

        IN1_PIN = 1;
        IN2_PIN = 1;
        Delay_ms (5000);

    // Forward

        IN1_PIN = 1;
        IN2_PIN = 0;
        Delay_ms (5000);

    }
}
/************************************************************ END OF FILE *****/