/*
 * Example for DC Motor 5 click
 *
 * Date         Apr 2017
 * Author       Djordje Rosic
 *
 * Test configuration STM32 :
 *  MCU           :        STM32F107VCT6
 *  Dev. Board    :        EasyMx PRO v7 for STM32 ARM
 *  SW            :        mikroC PRO for ARM v5.0.0
 *
 * Description :
 *
 * This example demonstrates the use of DC Motor click 5. Button D4 is forward,
 * Button D3 is brake, Button D2 is reverse, and Button D1 is coast.
 *
 ******************************************************************************/


sbit IN1_PIN at GPIOA_ODR.B0;
sbit IN2_PIN at GPIOD_ODR.B10;


/*
 * System Initialization
 */
void systemInit()
{
    GPIO_Digital_Output(&GPIOA_BASE, _GPIO_PINMASK_0);
    GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_10);

    GPIO_Digital_Input(&GPIOD_BASE, _GPIO_PINMASK_1 | _GPIO_PINMASK_2);
    GPIO_Digital_Input(&GPIOD_BASE, _GPIO_PINMASK_3 | _GPIO_PINMASK_4);
}

void main()
{
    systemInit();

    while (1)
    {
        // Coast
        if (Button(&GPIOD_IDR, 1, 1, 1))
        {
            IN1_PIN = 0;
            IN2_PIN = 0;
        }

        // Reverse
        if (Button(&GPIOD_IDR, 2, 1, 1)) 
        {
            IN1_PIN = 0;
            IN2_PIN = 1;
        }

        // Brake
        if (Button(&GPIOD_IDR, 3, 1, 1)) 
        {
            IN1_PIN = 1;
            IN2_PIN = 1;
        }

        // Forward
        if (Button(&GPIOD_IDR, 4, 1, 1)) 
        {
            IN1_PIN = 1;
            IN2_PIN = 0;
        }

    }
}
/************************************************************ END OF FILE *****/